<script setup lang="ts">
import { inject, ref, watch, type Ref } from 'vue'
import { useTheme } from 'vuetify'
const rail = inject<Ref<boolean>>('rail')

const isNightMode = ref(false)
const theme = useTheme()

function toggleTheme() {
  theme.global.name.value = theme.global.current.value.dark ? 'light' : 'dark'
}

watch(isNightMode, (newValue) => {
  if (newValue) {
    toggleTheme()
  } else {
    toggleTheme()
  }
})
</script>

<template>
  <v-app-bar color="brown-darken-3" density="compact">
    <template v-slot:prepend>
      <v-app-bar-nav-icon variant="text" @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>D-Coffee</v-app-bar-title>

    <template v-slot:append>
      <div>
        <v-btn icon="mdi-dots-vertical"> </v-btn>
        <v-menu activator="parent">
          <v-card class="px-5">
            <template #default>
              <v-switch label="Night Mode (beta)" v-model="isNightMode"></v-switch>
            </template>
          </v-card>
        </v-menu>
      </div>
    </template>
  </v-app-bar>
</template>
